> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# The booking details route should provide a list of booking times, pickup locations and additional customer
fields for the product.

> Retrieve Product Booking Details / Options



## OpenAPI

````yaml /openapi/ebs-supplier-api.json get /cms/ebs/bookingdetails/{productIdentifier}
openapi: 3.0.0
info:
  title: EBS Supplier API
  version: 0.0.0
  description: >-
    Supplier-side EBS integration endpoints for authentication, availability,
    booking, and cancellations.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Authentication / Authorisation
    description: Authentication / Authorisation
  - name: Booking Parameters
    description: Booking Parameters
  - name: Availability
    description: Availability
  - name: Booking
    description: Booking
  - name: Bookings
    description: Bookings
  - name: Product Bookings
    description: Product Bookings
  - name: Booking Cancellation
    description: Booking Cancellation
paths:
  /cms/ebs/bookingdetails/{productIdentifier}:
    get:
      tags:
        - Version 1
        - Booking Parameters
      summary: >-
        The booking details route should provide a list of booking times, pickup
        locations and additional customer

        fields for the product.
      description: Retrieve Product Booking Details / Options
      operationId: get_cms_core_ebs_getbookingdetails
      parameters:
        - name: productIdentifier
          in: path
          description: >-
            Identifier for the fare/product being booked on the external booking
            system
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returned when successful.
          content:
            application/json:
              schema:
                description: Booking Details Response Parameters
                properties:
                  bookingTimes:
                    description: List of booking times for the product
                    type: array
                    items:
                      properties:
                        bookingTimeId:
                          description: Identifier for booking time
                          type: string
                        bookingTime:
                          description: Label for booking time
                          type: string
                        default:
                          description: >-
                            Whether this booking time should be the default time
                            for the product
                          type: boolean
                      type: object
                  pickupLocations:
                    description: List of pickup locations for the product
                    type: array
                    items:
                      properties:
                        pickupLocationId:
                          description: Identifier for pickup location
                          type: string
                        pickupLocation:
                          description: Label for pickup location
                          type: string
                        pickupTime:
                          description: Label for pickup time
                          type: string
                      type: object
                  additionalFields:
                    description: List of additional customer fields for the product
                    type: array
                    items:
                      properties:
                        additionalFieldId:
                          description: Identifier for additional field
                          type: string
                        additionalFieldTitle:
                          description: Title for additional field
                          type: string
                        mandatory:
                          description: Determine if the field is mandatory or not
                          type: boolean
                        type:
                          description: Determine the type of the input
                          type: string
                        options:
                          description: Options for the input if it is of type select
                          type: array
                          items:
                            type: string
                      type: object
                type: object
        default:
          description: >-
            Not 200, will all be treated as a failure. Use an appropriate code
            and detailed error message.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.